%global rel 1.40200
%global version 1.0.2529
%global pkgname ucx
%global prefix /opt/ucx
%global __check_files %{nil}
%global _prefix %{prefix}
%global _libdir %{prefix}/lib
%global  debug_package %{nil}
%bcond_with valgrind
%global _binary_filedigest_algorithm 1
%global _source_filedigest_algorithm 1

%global lt_release @LT_RELEASE@
%global lt_version @LT_CURRENT@.@LT_REVISION@.@LT_AGE@

%{!?configure_options: %define configure_options %{nil}}

Name: %{pkgname}
Summary: Unified Communication X
Version: %{version}
Release: %{rel}

License: BSDv3
Group: Applications
Source: %{pkgname}-%{version}.tar.gz

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
URL: http://www.openucx.org
Prefix: %{prefix}
Provides: ucx
Packager: openucx
Vendor: openucx


%description
UCX is a communication library implementing high-performance messaging.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
./contrib/configure-release %{?configure_options}
make %{?_smp_mflags}

%install

rm -rf "$RPM_BUILD_ROOT"

# Strip out some dependencies
cat > find-requires.sh <<'EOF'
exec %{__find_requires} "$@" | egrep -v '^perl'
EOF
chmod +x find-requires.sh
%global _use_internal_dependency_generator 0
%global __find_requires %{_builddir}/%{buildsubdir}/find-requires.sh

make DESTDIR="$RPM_BUILD_ROOT" install
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d/
echo %{_libdir} > $RPM_BUILD_ROOT/etc/ld.so.conf.d/ucx.conf
mkdir -p $RPM_BUILD_ROOT/usr/lib64/pkgconfig
cp ucx.pc $RPM_BUILD_ROOT/usr/lib64/pkgconfig

%clean
# We may be in the directory that we're about to remove, so cd out of
# there before we remove it
cd /tmp

# Remove installed driver after rpm build finished
chmod -R o+w $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

test "x$RPM_BUILD_ROOT" != "x" && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%{prefix}
/etc/ld.so.conf.d/ucx.conf
/usr/lib64/pkgconfig/ucx.pc

# Your application file list goes here
# %{prefix}/lib/lib*.so*
#%doc COPYRIGHT ChangeLog README AUTHORS NEWS
#%doc doc/*

# If you install a library
%post
/sbin/ldconfig || exit 1
exit 0

# If you install a library
%postun
/sbin/ldconfig
exit 0

